Aktualizace PHP a problém s Joomlou

VinnyPCE88
03. čec 2019 12:51 #140389
Dobrý den,

mám dotaz ohledně našeho webu chrudimskasatlava.cz/ , který již pár let bez problémů běžel. Teď o víkendu mi od poskytovatele hostingových služeb přišlo že provedl aktualizaci PHP z 5.X na 7.X, ale web se nezobrazuje respektive pouze jeho část, ale píše chybu You are not authorised to view this resource. a nemohu se ani přihlásit do DB.

Můžete mi poradit, zda po aktualizaci PHP je potřeba udělat nějaké kroky, aby vše bylo v pořádku?

Za odpověď předem děkuji.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
03. čec 2019 13:03 #140390
Máte zastaralou Joomlu 2.5. Jediná zaručená cesta je aktualizace na 3.x. Jinak budete muset zkoumat kód. Joomlu 2.5 lze na PHP 7.0 rozběhat, mám odzkoušeno, ale záleží na šabloně, použitých rozšířeních atd...

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od ferino
03. čec 2019 13:04 #140391
Máte pravdepodobne starú verziu Joomly a/alebo rozšírení...

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od VinnyPCE88
03. čec 2019 13:07 #140392
Kdyby šlo o šablonu, tak to by problém být mohl, ale je zvláštní že nefunguje ani administrace webu a co se týká rozšíření je to vlastně čistá Joomla, nejsou tam žádné speciální požadavky.

Asi opravdu nebude jiné východisko než to aktualizovat na 3.5

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
03. čec 2019 13:09 #140394
3.9 - 3.5 už je také zastaralá...

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od VinnyPCE88
03. čec 2019 13:27 #140395
Nyní jsem koukal na nějaká videa ohledně aktualizace, ale vše dělají přes administraci, která u mě není funkční, jelikož se nemůžu přihlásit. Pokud zadám chybné heslo napíše to chybu že heslo je chybné, když zadám vše správně nenapíše to chybu, ale také to zůstane na přihlašovací stránce.

Je nějaká cesta jak nahrát aktualizaci mimo administraci. Balíček pro Upgrade jsem si stáhl a to mohu přehrát přes FTP, jak ale databáze, předpokládám že i ta se musí aktualizovat.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
03. čec 2019 13:38 #140396
Stáhl bych zálohu na lokál, aktualizoval, vše odladil a pak nahrál zpět na server...

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Rudolf
04. čec 2019 03:35 #140397
Osobně bych takovému hostingu zamával a založil si na wedosu nebo jinde.

Tak nebudete muset dělat upgrade.

MiniJoomla! - www.minijoomla.org - eshop s rozšířením
Virtuemart Mailing Manager - aplikace na správu šablon emailů pro VirtueMart
XML Easy Feeder - aplikace na generování feedů, napojení na ERP pro VirtueMart
PragueClassicconcert - portál pro prodej vstupenek na systému Joomla!
Poděkovali: Bong

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od HonzaG
04. čec 2019 23:14 #140407
No Rudolfe, to je sice řešení, ale jako webhoster jsem dost nešťastný, když nemůžu donutit lidi k upgrade. Takže stále držíme stroje s PHP 5.2. Před chvílí jsem stěhoval komunitní web v Joomla 1.0.15 - Nemůžu je donutit k upgrade

Jedna cesta je prostě to přestat podporovat.

HonzaG

::: Nejsem tak bohatý, abych kupoval levné věci... :::

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Rudolf
04. čec 2019 23:25 #140408
Rozumím, také pořád máme mnoho webů na Joomla 1.0 a také php 5.2 a 5.3.

MiniJoomla! - www.minijoomla.org - eshop s rozšířením
Virtuemart Mailing Manager - aplikace na správu šablon emailů pro VirtueMart
XML Easy Feeder - aplikace na generování feedů, napojení na ERP pro VirtueMart
PragueClassicconcert - portál pro prodej vstupenek na systému Joomla!

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.